2018-10-18 21:58 UTC


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000126Branch 0.2.1-FINALBugpublic2016-11-23 10:29
Reporteruser13 
Assigned Touser13 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformPHP5-LatestOSLinuxOS Version2.6
Product Version0.2.1-FINAL 
Target Version0.2.1-FINALFixed in Version0.2.1-FINAL 
Summary0000126: Fehlerhafte CSS ausgabe von css.php bei registrierung einer Erweiterung
DescriptionWenn man eine Erweiterung registriert, gibt die css.php nur eine Fehlermeldung aus und es werden somit keine Formatierungen angezeigt. Geht man nun aber auf irgend eine andere Seite (im Adminbereich zumindest), dann klappt der Aufruf von css.php wieder.
Additional Informationdebug.log:
28.07.2009|16:23:00|css|debug_report_bug|2624|Cache 'modules' is gone.

Fehlermeldung:
Note: Cache 'modules' is gone.
Please report this bug at bugs.mxchange.org and include the logfile from inc/cache/debug.log in your report (you cannot attach files!):

functions.php:2629, debug_get_printable_backtrace(0)
mysql-manager.php:151, debug_report_bug(1)
mysql-connect.php:156, checkModulePermissions(1)
config-global.php:78, require(1)
css.php:50, require(1)
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0000352

user13

Last edited: 2009-07-28 15:08

Hab das Problem identifizieren können. In checkModulePermissions() wird geschaut ob das Array $GLOBALS['cache_array']['modules'] vorhanden ist. Bei einer registrierung einer Erweiterung wird ja meine Wissens der gesammte cache verworfen und somit ist dieses Array nicht vorhanden, wenn css.php aufgerufen wird.

Ich habe es mal so gefixt, dass keine Fehlermeldung ausgegeben wird, sondern "nur" ein "cache_miss" ausgegeben wird.

Die Änderungen habe ich in meinem Maintainerbranch (svn+ssh://mxchange-dev/var/www/svn-repos/mxchange-application/branches/maintainer/0.2.1-stelzi/Rev1081) commited. Braucht nur noch in den aktuellen Branch gemerged werden.

~0000362

Quix0r (administrator)

Welche Revision war das nochmal?

~0000363

Quix0r (administrator)

Achso, dass mit $ret = 'cache_miss' anstelle meines debug_report_bug()-Aufrufs Das habe ich bereits gemacht. Siehe HEAD.

~0000364

Quix0r (administrator)

Ich bin mittlerweile der festen Überzeugung, dass dies eine andere fehlerhafte Codestelle ausgelöst hat. In Revision 1095 konnte ich - die Symtome traten auch bei mir auf - diese nun beseitigen, da zum einem einen Bug in getActualVersion() war (Array-Element 'revision' fehlte), dann ein Bug beim Nichtabarbeiten der Filter beim Deregistrieren einer Erweiterung und dann noch ein paar andere Ungereihmheiten vorhanden waren.

Bitte teste mal die neuste Revision aus. Dann können wir das Ticket auf resolved stellen, wenn es nicht mehr vorkommt.

~0000365

Quix0r (administrator)

Und der CSS-Modus hat an vielen Stellen gestört, wie beispielweise beim Regstrieren von Erweiterungen. Als ich das fixte, kam beim Aufruf von css.php endlich keine Fehler.

~0000383

Quix0r (administrator)

Sollte seit einigen Revisonen in der Form nicht mehr vorkommen. Ticket 0000131 beschreibt hier einen anderen Fall, bitte damit nicht verwechseln!

~0000464

Quix0r (administrator)

Diese sollten nun auch gefixt sein.

~0000819

Quix0r (administrator)

Und zu damit.
+Notes

-Issue History
Date Modified Username Field Change
2009-07-28 14:24 user13 New Issue
2009-07-28 14:59 user13 Status new => assigned
2009-07-28 14:59 user13 Assigned To => user13
2009-07-28 15:06 user13 Note Added: 0000352
2009-07-28 15:08 user13 Note Edited: 0000352
2009-07-28 19:25 Quix0r Projection none => tweak
2009-07-28 19:25 Quix0r ETA none => < 1 day
2009-07-28 19:25 Quix0r Build => SVN-HEAD
2009-07-28 19:29 Quix0r Note Added: 0000362
2009-07-28 19:36 Quix0r Note Added: 0000363
2009-07-29 09:46 Quix0r Note Added: 0000364
2009-07-29 09:47 Quix0r Note Added: 0000365
2009-10-14 15:10 Quix0r Note Added: 0000383
2009-10-14 15:10 Quix0r Status assigned => feedback
2009-10-14 15:10 Quix0r Relationship added related to 0000131
2009-10-14 16:47 Quix0r Relationship deleted related to 0000131
2009-11-25 21:56 Quix0r Fixed in Version => 0.2.1-FINAL
2010-05-28 16:27 Quix0r Build SVN-HEAD => 0.2.1-FINAL
2010-05-28 16:34 Quix0r Product Version => 0.2.1-FINAL
2010-06-08 01:39 Quix0r Fixed in Version 0.2.1-FINAL =>
2010-06-23 13:56 Quix0r Note Added: 0000464
2010-06-23 13:56 Quix0r Status feedback => resolved
2010-06-23 13:56 Quix0r Fixed in Version => 0.2.1-FINAL
2010-06-23 13:56 Quix0r Resolution open => fixed
2016-11-23 10:29 Quix0r Note Added: 0000819
2016-11-23 10:29 Quix0r Status resolved => closed
+Issue History